<html>
   <head>
      <meta HTTP-EQUIV='Pragma' CONTENT='no-cache'>
      <link rel="stylesheet" href='stylemain.css' type='text/css'>
         <link rel="stylesheet" href='colors.css' type='text/css'>
            <script language="javascript" src="util.js"></script>
            <script type="text/javascript" src="lang/b28n.js"></script>
            <script language="javascript" src="portName.js"></script>
            <script language="javascript"><%ejGetOther(forbidHTMLCode)%></script>
            <script language="javascript">
<!-- hide 

var obj1Items = '<%ejGetObject(MDMOID_WAN_PPTP_CONN)%>';
var obj1Rows = numOfRow(obj1Items);
var ServerIpArray = getColFromList(obj1Items, 'ServerIp');

var sessionKey = "<%ejGetOther(sessionKey)%>";

var pptp_description = "<%ejGet(pptp_description)%>";
var pptp_phyinterface = "<%ejGet(pptp_phyinterface)%>";
var pptp_service = "<%ejGet(pptp_service)%>";
var pptp_username = "<%ejGet(pptp_username)%>";
var pptp_password = "<%ejGet(pptp_password)%>";
var pptp_authentication = "<%ejGet(pptp_authentication)%>";
var pptp_enablemppe = "<%ejGet(pptp_enablemppe)%>";
var pptp_enablemppc = "<%ejGet(pptp_enablemppc)%>";
var pptp_mtu = "<%ejGet(pptp_mtu)%>";
var pptp_mss = "<%ejGet(pptp_mss)%>";
var pptp_enablenat = "<%ejGet(pptp_enablenat)%>";
var pptp_enablefullcone = "<%ejGet(pptp_enablefullcone)%>";
var pptp_enableondemand = "<%ejGet(pptp_enableondemand)%>";
var pptp_idletimeout = "<%ejGet(pptp_idletimeout)%>";
var pptp_enablefirewall = "<%ejGet(pptp_enablefirewall)%>";
var pptp_enablestaticip = "<%ejGet(pptp_enablestaticip)%>";
var pptp_ipv4address = "<%ejGet(pptp_ipv4address)%>";
var pptp_enableigmpproxy = "<%ejGet(pptp_enableigmpproxy)%>";
var pptp_enablealltraffic = "<%ejGet(pptp_enablealltraffic)%>";
var pptp_allowmultiipaddr = "<%ejGet(pptp_allowmultiipaddr)%>";
var pptp_enablepptp = "<%ejGet(pptp_enablepptp)%>";
var pptp_edit = "<%ejGet(pptp_edit)%>";

var ntwkPrtcl = '<%ejGet(ntwkPrtcl)%>';
var pptp_enblDhcpClnt = '<%ejGet(enblDhcpClnt)%>';
var pptp_wanIpAddress = '<%ejGet(wanIpAddress)%>';
var pptp_wanSubnetMask = '<%ejGet(wanSubnetMask)%>';
var pptp_wanIntfGateway = '<%ejGet(wanIntfGateway)%>';
var pptp_wanInfDnsPrimary = '<%ejGet(wanInfDnsPrimary)%>';
var pptp_wanInfDnsSecondary = '<%ejGet(wanInfDnsSecondary)%>';

var cfgPptpDual = "<%ejGet(cfgPptpDual)%>";


function initTranslation()
{
		var idArray = new Array("pptpacadd_title","pptpacadd_i_description","pptpacadd_i_waninterface","pptpacadd_i_protocol","pptpacadd_i_serverip","pptpacadd_i_username",
			"pptpacadd_i_password","pptpacadd_i_auth","pptpacadd_i_mppe","pptpacadd_i_mtu","pptpacadd_i_mtu_suffix","pptpacadd_i_nat","pptpacadd_i_fullconenat",
			"pptpacadd_i_reconnect","pptpacadd_i_snoozetime","pptpacadd_i_retries","pptpacadd_i_demand","pptpacadd_i_idletime","pptpacadd_i_firewall","pptpacadd_i_staticip",
			"pptpacadd_i_staticipaddress","pptpacadd_i_igmp","pptpacadd_i_enable","pptpacadd_b_password","pptpacadd_b_back","pptpacadd_b_next","pptpacadd_alert_1",
			"pptpacadd_alert_2","pptpacadd_alert_3","pptpacadd_alert_4","pptpacadd_alert_5","pptpacadd_alert_6","pptpacadd_alert_7","pptpacadd_alert_8","pptpacadd_alert_9",
			"pptpacadd_alert_10","pptpacadd_alert_11","pptpacadd_alert_12");
		setAllIdValue(idArray);
}

function cfgPptpAcCheck()
{
	var status = 'none';
	
	if (cfgPptpDual == '1') // CMS_WAN_TYPE_PPTP 
	{
		if (document.getElementById)  // DOM3 = IE5, NS6
		{
			document.getElementById('description_tr').style.display = status;
			document.getElementById('phyinterface_tr').style.display = status;
/*
			document.getElementById('mppe_tr').style.display = status;
			document.getElementById('mtumss_tr').style.display = status;
			document.getElementById('nat_tr').style.display = status;
			document.getElementById('fullcone_tr').style.display = status;
			document.getElementById('enablereconnect_tr').style.display = status;
			document.getElementById('reconnect_tr').style.display = status;
			document.getElementById('enableondemand_tr').style.display = status;
			document.getElementById('ondemand_tr').style.display = status;
			document.getElementById('enablefirewall_tr').style.display = status;
			document.getElementById('enablestaticip_tr').style.display = status;
			document.getElementById('staticip_tr').style.display = status;
			document.getElementById('enableigmpproxy_tr').style.display = status;
*/
			document.getElementById('enablepptp_tr').style.display = status;
		}
		else
		{
			document.all.description_tr.style.display = status;
			document.all.phyinterface_tr.style.display = status;
/*
			document.all.mppe_tr.style.display = status;
			document.all.mtumss_tr.style.display = status;
			document.all.nat_tr.style.display = status;
			document.all.fullcone_tr.style.display = status;
			document.all.enablereconnect_tr.style.display = status;
			document.all.reconnect_tr.style.display = status;
			document.all.enableondemand_tr.style.display = status;
			document.all.ondemand_tr.style.display = status;
			document.all.enablefirewall_tr.style.display = status;
			document.all.enablestaticip_tr.style.display = status;
			document.all.staticip_tr.style.display = status;
			document.all.enableigmpproxy_tr.style.display = status;
*/
			document.all.enablepptp_tr.style.display = status;
		}
	}
	else
	{
		if (document.getElementById)  // DOM3 = IE5, NS6
		{
			document.getElementById('enblDhcpClnt_tr').style.display = status;
			document.getElementById('wanIpAddress_tr').style.display = status;
			document.getElementById('wanSubnetMask_tr').style.display = status;
			document.getElementById('wanIntfGateway_tr').style.display = status;
			document.getElementById('wanInfDnsPrimary_tr').style.display = status;
//			document.getElementById('wanInfDnsSecondary_tr').style.display = status;
		}
		else
		{
			document.all.enblDhcpClnt_tr.style.display = status;
			document.all.wanIpAddress_tr.style.display = status;
			document.all.wanSubnetMask_tr.style.display = status;
			document.all.wanIntfGateway_tr.style.display = status;
			document.all.wanInfDnsPrimary_tr.style.display = status;
//			document.all.wanInfDnsSecondary_tr.style.display = status;
		}
	}
   
	return;
}

function enblDhcpClntCheck()
{
	with ( document.forms[0] ) 
	{
		if(enblDhcpClnt[0].checked == true)
		{
			wanIpAddress.value = '';
			wanSubnetMask.value = '';
			wanIntfGateway.value = '';
			wanInfDnsPrimary.value = '';
			wanIpAddress.disabled = true;
			wanSubnetMask.disabled = true;
			wanIntfGateway.disabled = true;
			wanInfDnsPrimary.disabled = true;
		}
		else
		{
			wanIpAddress.value = pptp_wanIpAddress;
			wanSubnetMask.value = pptp_wanSubnetMask;
			wanIntfGateway.value = pptp_wanIntfGateway;
			wanInfDnsPrimary.value = pptp_wanInfDnsPrimary;
			wanIpAddress.disabled = false;
			wanSubnetMask.disabled = false;
			wanIntfGateway.disabled = false;
			wanInfDnsPrimary.disabled = false;
		}
	}
}

function backClick()
{
	var loc;

   if(cfgPptpDual == '1')
		loc = 'wanifc.cmd?serviceId=0&sessionKey=' + sessionKey;
	else
		loc = 'pptpacwan.cmd';
	
	var code = 'location="' + loc + '"';
	eval(code);
}

function nextClick()
{
	var i;
	var loc = 'ifcgateway.cgi?';

	if(pptp_edit == '1')
	{
		loc = 'ntwksum2.cgi?';
	}
	
	with ( document.forms[0] ) 
	{
		if(ntwkPrtcl != '16') // CMS_WAN_TYPE_PPTP 
		{
			if(description.value.length <= 0 || description.value.length > 64)
			{
				alert(_("pptpacadd_alert_1"));
				return;
			}
			loc += 'pptp_description=' + description.value;

			if(phyinterface.value == '')
			{
				alert(_("pptpacadd_alert_2"));
				return;
			}
			loc += '&pptp_phyinterface=' + phyinterface.value;

	   		/* validate service ip */
			if(service.value.length <= 0)
			{
				alert(_("pptpacadd_alert_13"));
				return;
			}
			if((pptp_edit != '1') || (pptp_edit == '1' && service.value != pptp_service))
			{
				for(i=0; i<obj1Rows; i++)
				{
					if(service.value == ServerIpArray[i])
					{
						alert(_("pptpacadd_alert_14"));
						return;
					}
				}
			}
//	   		if(isValidIpAddress(service.value) == false)
//	   		{
//	   			alert(_("pptpacadd_alert_3"));
//	   			return;
//	   		}
	   		loc += '&pptp_service=' + service.value;
		}
		else
		{
			/* validate service ip */
//			if(isValidIpAddress(service.value) == false)
//			{
//				alert(_("pptpacadd_alert_3"));
//				return;
//			}
			loc += 'pptp_service=' + service.value;
		}

		/*validate user name */
		if(username.value.length <= 0 || username.value.length > 64)
		{
			alert(_("pptpacadd_alert_4"));
			return;
		}
		if (isNotChineseCharacter(username.value) == false)
		{
			alert(_("pptpacadd_alert_5"));
			return;
		}
		loc += '&pptp_username=' + username.value;

		/*validate password */
		if(password.value.length <= 0 || password.value.length > 64)
		{
			alert(_("pptpacadd_alert_6"));
			return;
		}
		if (isNotChineseCharacter(password.value) == false)
		{
			alert(_("pptpacadd_alert_7"));
			return;
		}
		loc += '&pptp_password=' + password.value;

		/*authentication methmod */
		loc += '&pptp_authentication=' + authentication.value;

		if(authentication.value == 0 || authentication.value == 3 || authentication.value == 4)
		{
			/*MPPE */
			if(enablemppe.checked == true)
			{
				loc += '&pptp_enablemppe=1';
			}
			else
			{
				loc += '&pptp_enablemppe=0';
			}

			/*MPPC 
			if(enablemppc.checked == true)
			{
				loc += '&pptp_enablemppc=1';
			}
			else
			{
				loc += '&pptp_enablemppc=0';
			}
			*/
		}
		else
		{
			loc += '&pptp_enablemppe=0';
			loc += '&pptp_enablemppc=0';
		}

		/*MTU */
		if(mtu.value.length == 0 || parseInt(mtu.value) < 576 || parseInt(mtu.value) > 1454)
		{
			alert(_("pptpacadd_alert_8"));
			return;
		}
		loc += '&pptp_mtu=' + mtu.value;
		
		/*NAT */
		if(enablenat.checked == true)
		{
			loc += '&pptp_enablenat=1';
			
			/*Fullcone NAT */
/*
			if(enablefullcone.checked == true)
			{
				loc += '&pptp_enablefullcone=1';
			}
			else
			{
				loc += '&pptp_enablefullcone=0';
			}
*/            
		}
		else
		{
			loc += '&pptp_enablenat=0';
//	    		loc += '&pptp_enablefullcone=0';
		}
		
/*     		
		if(enableondemand.checked == true)
		{
			loc += '&pptp_enableondemand=1';

			if(idletimeout.value.length == 0 || parseInt(idletimeout.value) < 1 || parseInt(idletimeout.value) > 4320)
			{
				alert(_("pptpacadd_alert_11"));
				return;
			}
			loc += '&pptp_idletimeout=' + idletimeout.value;
		}
		else
		{
			loc += '&pptp_enableondemand=0';
		}
*/	
		/*Firewall */
		if(enablefirewall.checked == true)
		{
			loc += '&pptp_enablefirewall=1';
		}
		else
		{
			loc += '&pptp_enablefirewall=0';
		}
/*		
		if(enablestaticip.checked == true)
		{
			loc += '&pptp_enablestaticip=1';


			if(isValidIpAddress(ipv4address.value) == false)
			{
				alert(_("pptpacadd_alert_12"));
				return;
			}
			loc += '&pptp_ipv4address=' + ipv4address.value;
		}
		else
		{
			loc += '&pptp_enablestaticip=0';
		}
		
		if(enableigmpproxy.checked == true)
		{
			loc += '&pptp_enableigmpproxy=1';
		}
		else
		{
			loc += '&pptp_enableigmpproxy=0';
		}
*/
		/*Enable pptp */
		if(ntwkPrtcl != '16') // CMS_WAN_TYPE_PPTP 
		{
			if(enablepptp.checked == true)
			{
				loc += '&pptp_enablepptp=1';
			}
			else
			{
				loc += '&pptp_enablepptp=0';
			}
		}
		else
		{
			loc += '&pptp_enablepptp=1';
			if(enblDhcpClnt[0].checked == true)
			{
				loc += '&enblDhcpClnt=1';
			}
			else
			{
				loc += '&enblDhcpClnt=0';

				if(isValidIpAddress(wanIpAddress.value) == false)
				{
					alert("Invalid IP Address");
					return;
				}
				loc += '&wanIpAddress=' + wanIpAddress.value;

				if(isValidMaskAddress(wanSubnetMask.value) == false)
				{
					alert("Invalid Subnet Mask");
					return;
				}
				if(isIpFitMask(wanIpAddress.value, wanSubnetMask.value) == false)
				{
					alert("IP Address and Subnet Mask is not match.");
					return;
				}
				loc += '&wanSubnetMask=' + wanSubnetMask.value;

				if (wanIntfGateway.value != '')
				{
					if ( isValidIpAddress(wanIntfGateway.value) == false )
					{
						alert("Invalid Gateway");
						return;
					}

					if(isIpFitMask(wanIntfGateway.value, wanSubnetMask.value) == false)
					{
						alert("Gateway and Subnet Mask is not match.");
						return;
					}
				}
				loc += '&wanIntfGateway=' + wanIntfGateway.value;
					
				if (wanInfDnsPrimary.value !='')
				{
					if ( isValidIpAddress2(wanInfDnsPrimary.value) == false ) 
					{
						alert("Invalid Primary DNS");
						return;
					}
				}
				loc += '&wanInfDnsPrimary=' + wanInfDnsPrimary.value;
				loc += '&wanInfDnsSecondary=';
				
			}
		}
		loc += '&ntwkPrtcl=16'; // CMS_WAN_TYPE_PPTP 
	}
	loc += '&enblv4=1';
	loc += '&sessionKey=' + sessionKey;
	var code = 'location="' + loc + '"';
	eval(code);
}

function enablemppecheck(val)
{
    return;
}

/*
function enablemppccheck(val)
{
    return;
}
*/
	
function enablenatcheck(val)
{
/*
	var status = 'block';
	
	if (val == false)
		status = 'none';
	
	if (document.getElementById)  // DOM3 = IE5, NS6
	{
		document.getElementById('fullcone_tr').style.display = status;
	}
	else
	{
		document.all.fullcone_tr.style.display = status;
	}
*/	
	return;
}

/*
function enablefullconecheck(val)
{
    return;
}

function enablereconnectcheck(val)
{
	var status = 'block';
	var status_demand = 'none';
	
	if (val == false)
	{
		status = 'none';
		status_demand = 'block';
	}
	
	if (document.getElementById)  // DOM3 = IE5, NS6
	{
		document.getElementById('reconnect_tr').style.display = status;
		document.getElementById('enableondemand_tr').style.display = status_demand;
	}
	else
	{
		document.all.reconnect_tr.style.display = status;
		document.all.enableondemand_tr.style.display = status_demand;
	}
   
	return;
}

function enableondemandcheck(val)
{
	var status = 'block';
	var status_reconn = 'none';
	
	if (val == false)
	{
		status = 'none';
		status_reconn = 'block';
	}
	
	if (document.getElementById)  // DOM3 = IE5, NS6
	{
		document.getElementById('ondemand_tr').style.display = status;
		document.getElementById('enablereconnect_tr').style.display = status_reconn;
	}
	else
	{
		document.all.ondemand_tr.style.display = status;
		document.all.enablereconnect_tr.style.display = status_reconn;
	}
   
	return;
}
*/
function enablefirewallcheck(val)
{
    return;
}
/*
function enablestaticipcheck(val)
{
	var status = 'block';
	
	if (val == false)
		status = 'none';
	
	if (document.getElementById)  // DOM3 = IE5, NS6
	{
		document.getElementById('staticip_tr').style.display = status;
	}
	else
	{
		document.all.staticip_tr.style.display = status;
	}
   
	return;
}
*/
   
function enableigmpproxycheck(val)
{
/*
	var status = 'block';
	
	if (val == false)
		status = 'none';
	
	if (document.getElementById)  // DOM3 = IE5, NS6
	{
		document.getElementById('igmp_tr').style.display = status;
	}
	else
	{
		document.all.igmp_tr.style.display = status;
	}
*/
   
	return;
}

function enablealltrafficcheck(val)
{
    return;
}

function enablepptpcheck(val)
{
    return;
}

function changeAuth(val)
{
	var status = 'none';
	
	if (val == 0 || val == 3 || val == 4)
		status = 'block';
	
	if (document.getElementById)  // DOM3 = IE5, NS6
	{
		document.getElementById('mppe_tr').style.display = status;
	}
	else
	{
		document.all.mppe_tr.style.display = status;
	}
   
	return;
}

function frmLoad()
{
       initTranslation();
	with ( document.forms[0] ) 
	{
		if(pptp_edit == '1')
		{
			description.value = pptp_description;
			phyinterface.value = pptp_phyinterface;
			service.value = pptp_service;
			username.value = pptp_username;
			password.value = pptp_password;
			authentication.value = pptp_authentication;

			if(authentication.value == 0 || authentication.value == 3 || authentication.value == 4)
			{
				if(pptp_enablemppe == '1')
				{
					enablemppe.checked = true;
				}
				else
				{
					enablemppe.checked = false;
				}
			}
			else
			{
				enablemppe.checked = false;
			}
			changeAuth(authentication.value);

/*
			if(pptp_enablemppc == '1')
			{
				enablemppc.checked = true;
			}
			else
			{
				enablemppc.checked = false;
			}
*/
			mtu.value = pptp_mtu;
//			mss.value = pptp_mss;
			
			if(pptp_enablenat == '1')
			{
				enablenat.checked = true;
/*				
				if(pptp_enablefullcone == '1')
				{
					enablefullcone.checked = true;
				}
				else
				{
					enablefullcone.checked = false;
				}
				enablenatcheck(true);
*/            
			}
			else
			{
				enablenat.checked = false;
/*
				enablefullcone.checked = false;
				enablenatcheck(false);
*/            
			}
/*			
			if(pptp_enableondemand == '1')
			{
				enableondemand.checked = true;
				idletimeout.value = pptp_idletimeout;
				enableondemandcheck(true);
			}
			else
			{
				enableondemand.checked = false;
				enableondemandcheck(false);
			}
*/			
			if(pptp_enablefirewall == '1')
			{
				enablefirewall.checked = true;
			}
			else
			{
				enablefirewall.checked = false;
			}
/*		
			if(pptp_enablestaticip == '1')
			{
				enablestaticip.checked = true;
				ipv4address.value = pptp_ipv4address;
				enablestaticipcheck(true);
			}
			else
			{
				enablestaticip.checked = false;
				enablestaticipcheck(false);
			}
			
			if(pptp_enableigmpproxy == '1')
			{
				enableigmpproxy.checked = true;
				enableigmpproxycheck(true);
				if(pptp_enablealltraffic == '1')
				{
					enablealltraffic.checked = true;
					allowmultiipaddr.value = pptp_allowmultiipaddr;
				}
				else
				{
					enablealltraffic.checked = false;
					allowmultiipaddr.value = "0.0.0.0";
				}

			}
			else
			{
				enableigmpproxy.checked = false;
				enableigmpproxycheck(false);
			}
*/			
			if(pptp_enablepptp == '1')
			{
				enablepptp.checked = true;
			}
			else
			{
				enablepptp.checked = false;
			}
		}
		else
		{
/*
			enablenatcheck(false);
			enablereconnectcheck(false);
			enableondemandcheck(false);
			enablestaticipcheck(false);
			enableigmpproxycheck(false);
*/			
		}

		cfgPptpAcCheck();
		
		if (ntwkPrtcl == '16') // CMS_WAN_TYPE_PPTP 
		{
			if(pptp_enblDhcpClnt == '1')
			{
				enblDhcpClnt[0].checked = true;
				enblDhcpClntCheck();
			}
			else
			{
				enblDhcpClnt[1].checked = true;
				enblDhcpClntCheck();
			}
		}
	}

	return;
}

// done hiding -->
</script></head>
<body onLoad='frmLoad()'>
<blockquote> 
  <form>
      <b><span id='pptpacadd_title'></span></b><br>
      <br>
        <table border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td>
            <table border="0" cellpadding="0" cellspacing="0">
              <tr id='description_tr'> 
                <td id='pptpacadd_i_description'></td>
                <td><input type='text' name='description' maxlength='64' value='Empty'></td>
              </tr>
              <tr id='phyinterface_tr'> 
                <td id='pptpacadd_i_waninterface'></td>
                <td><select name='phyinterface' size="1">
<script language="javascript">
<!-- hide
{
   var i;
   var intfInfo = '<%ejGetOther(wanInterfaceInfo, route)%>';
   var intf     = intfInfo.split('|');

   document.write("  <option value=''>");
   document.writeln("==un-selected==");
   for ( i = 0; i < intf.length; i++ ) {
      var names = intf[i].split('/');
      if (names.length > 1 && names[0] != 'PPPoL2tpAc' && names[0] != 'PPPoPptpAc') {
         document.write("  <option value='" + names[1] + "'>");
         document.writeln(intf[i]);
      }
   } 
}
// done hiding -->
</script>
                </select></td>
              </tr>
              <tr id='enblDhcpClnt_tr'> 
                <td>&nbsp;</td>
                <td><input type="radio" name="enblDhcpClnt" onClick='enblDhcpClntCheck()'>Dynamic IP&nbsp;
                        <input type="radio" name="enblDhcpClnt" onClick='enblDhcpClntCheck()'>Static IP</td>
              </tr>
              <tr id='wanIpAddress_tr'> 
                <td>WAN IP Address: </td>
                <td><input type='text' name='wanIpAddress'></td>
              </tr>
              <tr id='wanSubnetMask_tr'> 
                <td>WAN Subnet Mask: </td>
                <td><input type='text' name='wanSubnetMask'></td>
              </tr>
              <tr id='wanIntfGateway_tr'> 
                <td>WAN Gateway: </td>
                <td><input type='text' name='wanIntfGateway'></td>
              </tr>
              <tr id='wanInfDnsPrimary_tr'> 
                <td>WAN DNS: </td>
                <td><input type='text' name='wanInfDnsPrimary'></td>
              </tr>
<!--
              <tr id='wanInfDnsSecondary_tr'> 
                <td>Secondary DNS: </td>
                <td><input type='text' name='wanInfDnsSecondary'></td>
              </tr>
-->
              <tr id='service_tr'> 
                <td id='pptpacadd_i_serverip'></td>
                <td><input type='text' name='service'></td>
              </tr>
              <tr id='username_tr'> 
                <td id='pptpacadd_i_username'>PPTP Username: </td>
                <td><input type='text' name='username' maxlength='64'></td>
              </tr>
              <tr id='password_tr'>
                <td id='pptpacadd_i_password'>PPTP Password:</td>
                <td><input type='password' name='password' maxlength='64'>&nbsp;&nbsp;
              </tr>
              <tr id='authentication_tr'> 
                <td id='pptpacadd_i_auth'>Authentication: </td>
                <td><select name='authentication' size="1" onChange='changeAuth(this.value)'>
                <option value="-1">NOAUTH</option>
                <option value="0" selected>AUTO</option>
                <option value="1">PAP</option>
                <option value="2">CHAP</option>
                <option value="3">MS-CHAP_V1</option>
                <option value="4">MS-CHAP_V2</option>
                </select></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr id="mppe_tr"> 
          <td rows="2"><input type='checkbox' name='enablemppe' onClick='enablemppecheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_mppe'></span></td>
        </tr>
        <tr id="mtumss_tr">
          <td>
            <table border="0" cellpadding="0" cellspacing="0">
              <tr> 
                <td id='pptpacadd_i_mtu'></td>
                <td><input type='text' name='mtu' value='1454'>&nbsp;&nbsp; <span id='pptpacadd_i_mtu_suffix'></span></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr id="nat_tr"> 
          <td rows="2"><input type='checkbox' name='enablenat' onClick='enablenatcheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_nat'></span></td>
        </tr>
<!--        
        <tr id="fullcone_tr"> 
          <td rows="2"><input type='checkbox' name='enablefullcone' onClick='enablefullconecheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_fullconenat'></span></td>
        </tr>
        <tr id='enablereconnect_tr'> 
          <td rows="2"><input type='checkbox' name='enablereconnect' onClick='enablereconnectcheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_reconnect'></span></td>
        </tr>
        <tr id='reconnect_tr'>
          <td rows="2">
            <table  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td id='pptpacadd_i_snoozetime'></td>
                <td><input type='text' name='ppptimeout'></td>
              </tr>
              <tr>
                <td id='pptpacadd_i_retries'></td>
                <td><input type='text' name='pppretries'></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr id='enableondemand_tr'> 
          <td rows="2"><input type='checkbox' name='enableondemand' onClick='enableondemandcheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_demand'></span></td>
        </tr>
        <tr id='ondemand_tr'> 
          <td rows="2"><span id='pptpacadd_i_idletime'></span>
          &nbsp;&nbsp;<input type='text' name='idletimeout'></td>
        </tr>
-->        
        <tr id='enablefirewall_tr'> 
          <td rows="2"><input type='checkbox' name='enablefirewall' onClick='enablefirewallcheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_firewall'></span></td>
        </tr>
<!--        
        <tr id='enablestaticip_tr'> 
          <td rows="2"><input type='checkbox' name='enablestaticip' onClick='enablestaticipcheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_staticip'></span></td>
        </tr>
        <tr id='staticip_tr'> 
          <td rows="2"><span id='pptpacadd_i_staticipaddress'></span>
          &nbsp;&nbsp;<input type='text' name='ipv4address' value='0.0.0.0'></td>
        </tr>
        <tr id='enableigmpproxy_tr'> 
          <td rows="2"><input type='checkbox' name='enableigmpproxy' onClick='enableigmpproxycheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_igmp'></span></td>
        </tr>
-->
        <tr id='enablepptp_tr'> 
          <td rows="2"><input type='checkbox' name='enablepptp' onClick='enablepptpcheck(this.checked)'>&nbsp;&nbsp;
          <span id='pptpacadd_i_enable'></span></td>
        </tr>
      </table>
      <br>
    </center>
      <br>
      <input type='button' id='pptpacadd_b_back' onClick='backClick()'>&nbsp;&nbsp;
      <input type='button' id='pptpacadd_b_next' onClick='nextClick()'>
  </form>
</blockquote>
</body>
</html>
